/*
**	GadTools layout toolkit
**
**	Copyright  1993-1996 by Olaf `Olsen' Barthel
**		Freely distributable.
*/

#ifndef _GTLAYOUT_GLOBAL_H
#include "gtlayout_global.h"
#endif

VOID
LTP_BlinkButton(LayoutHandle *handle,struct Gadget *gadget)
{
	ObjectNode *Node;

	Node = (ObjectNode *)gadget -> UserData;

	if(Node -> Host == gadget)
	{
		switch(Node -> Type)
		{
#if defined(DO_POPUP_KIND) && defined(DO_BOOPSI_KIND)
			case POPUP_KIND:

				SetGadgetAttrs(Node -> Host,handle -> Window,NULL,
					PIA_Highlight,	TRUE,
				TAG_DONE);

				LTP_Delay(0,80000);

				SetGadgetAttrs(Node -> Host,handle -> Window,NULL,
					PIA_Highlight,	FALSE,
				TAG_DONE);

				break;
#endif

#if defined(DO_TAB_KIND) && defined(DO_BOOPSI_KIND)
			case TAB_KIND:

				break;
#endif
			default:

				if((gadget -> Flags & (GFLG_GADGIMAGE | GFLG_GADGHIMAGE)) == (GFLG_GADGIMAGE | GFLG_GADGHIMAGE) && gadget -> GadgetRender && gadget -> SelectRender)
				{
					DrawImageState(&handle -> RPort,gadget -> SelectRender,gadget -> LeftEdge,gadget -> TopEdge,IDS_SELECTED,handle -> DrawInfo);

					LTP_Delay(0,80000);

					DrawImageState(&handle -> RPort,gadget -> GadgetRender,gadget -> LeftEdge,gadget -> TopEdge,IDS_NORMAL,handle -> DrawInfo);
				}
				break;
		}
	}

}
