/*
**	GadTools layout toolkit
**
**	Copyright  1993-1996 by Olaf `Olsen' Barthel
**		Freely distributable.
**
**	:ts=4
*/

#ifndef _GTLAYOUT_GLOBAL_H
#include "gtlayout_global.h"
#endif


/*****************************************************************************/


APTR
LTP_Alloc(LayoutHandle *handle,ULONG amount)
{
	APTR result;

	result = AsmAllocPooled(handle->Pool,amount,SysBase);

	if(!result)
		handle->Failed = TRUE;

	return(result);
}


/*****************************************************************************/


VOID
LTP_Free(LayoutHandle *handle,APTR mem,ULONG memsize)
{
	if(mem)
		AsmFreePooled(handle->Pool,mem,memsize,SysBase);
}
